Package: org.grails.encoder

## [Java] Class StreamingEncoderEncodedAppender

- org.grails.encoder.StreamingEncoderEncodedAppender

- EncodedAppender implementation used for piping / chaining several StreamingEncoders

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingEncoderEncodedAppender (StreamingEncoder encoder, EncodedAppender target)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `appendCharSequence(EncodingState encodingState, java.lang.CharSequence str, int start, int end)`
    `` | `void` | `close()`
    `` | `void` | `flush()`
    `` | `protected void` | `write(EncodingState encodingState, char[] b, int off, int len)`
    `` | `protected void` | `write(EncodingState encodingState, java.lang.String str, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractEncodedAppender` | `append, append, append, appendCharSequence, appendEncoded, appendEncoded, createNewEncodingState, encodeAndWrite, flush, isIgnoreEncodingState, setIgnoreEncodingState, shouldEncode, shouldEncodeWith, write, write`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public StreamingEncoderEncodedAppender(StreamingEncoder encoder, EncodedAppender target)

  - ### Method Detail

    - #### @java.lang.Override protected void appendCharSequence(EncodingState encodingState, java.lang.CharSequence str, int start, int end)

    - #### @java.lang.Override public void close()

    - #### @java.lang.Override public void flush()

    - #### @java.lang.Override protected void write(EncodingState encodingState, char[] b, int off, int len)

    - #### @java.lang.Override protected void write(EncodingState encodingState, java.lang.String str, int off, int len)